<?php

$conf_basedir = "../../../"; //相对主目录的位置
$conf_where = "admin"; //选择调用相应模块
$directory = basename(dirname(__FILE__)); //定义当前所在的目录，引入模块公用函数
include_once($conf_basedir . "base.inc.php");
include_once WEB_MODULE . '/growth/base.inc.php';

$growthCreditWay = new GrowthCreditWay();


$fields[] = array('type'=>'1','name'=>'收费端口条数开通','alias' => 'openPayPackage','is_display'=>'1','description'=>'首次开通奖励，每个端口奖励10个积分','repeatable'=>'1');
$fields[] = array('type'=>'1',  'name'=>'标签条数开通', 'alias' => 'openTagNumPackage','is_display'=>'0','description'=>'一次性奖励','repeatable'=>'1');
$fields[] = array('type'=>'100','name'=>'头像认证','alias' => 'avatarCert','is_display'=>'1','description'=>'首次验证成功奖励','repeatable'=>'1');
$fields[] = array('type'=>'100','name'=>'身份证认证','alias' => 'idCert','is_display'=>'1','description'=>'首次验证成功奖励','repeatable'=>'1');
$fields[] = array('type'=>'100','name'=>'名片认证','alias' => 'bCardCert','is_display'=>'1','description'=>'首次验证成功奖励','repeatable'=>'1');
$fields[] = array('type'=>'100','name'=>'经纪人证书认证','alias' => 'brokerCert','is_display'=>'1','description'=>'首次验证成功奖励','repeatable'=>'1');
$fields[] = array('type'=>'200','name'=>'登录租售宝签到','alias' => 'loginActivity','is_display'=>'1','description'=>'当日累计登录只增加一次','repeatable'=>'0');
//$fields[] = array('type'=>'200','name'=>'套餐到期再续','alias' => 'pRenewalsActivity','is_display'=>'0','description'=>'续约成功奖励','repeatable'=>'1');
$fields[] = array('type'=>'200','name'=>'帐号失效','is_display'=>'0','description'=>'帐号失效一定时间后清空积分','repeatable'=>'0','alias' => 'accountFailure');
$fields[] = array('type'=>'300','name'=>'发布非多图房源','alias' => 'pNoStarHouse','is_display'=>'1','description'=>'新发布一条非多图房源奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'300','name'=>'发布多图房源','alias' => 'pStarHouse','is_display'=>'1','description'=>'新发布一条多图房源奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'300','name'=>'发布优质房源（三张室内图+一张户型图+一张外景图）','alias' => 'pQualityHouse','is_display'=>'1','description'=>'新发布一条优质房源奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'300','name'=>'刷新房源','alias' => 'refreshHouse','is_display'=>'1','description'=>'刷新一条房源奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★小区信息','alias' => 'pABlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★小区实景图','alias' => 'uABlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★★小区信息','alias' => 'pBBlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★★小区实景图','alias' => 'uBBlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★★★小区信息','alias' => 'pCBlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★★★小区实景图','alias' => 'uCBlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★★★★小区信息','alias' => 'pDBlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★★★★小区实景图','alias' => 'uDBlockContri','is_display'=>'1','description'=>'信息审核通过奖励相应积分','repeatable'=>'0');

$fields[] = array('type'=>'500','name'=>'生日赠送','alias' => 'birthdayReward','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'500','name'=>'系统变更/线下活动','alias' => 'systemReward','is_display'=>'0','description'=>'可多次奖励','repeatable'=>'0');

$fields[] = array('type'=>'1000','name'=>'A类小区专家竞投成功','alias' => 'bidAExperts','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'B类小区专家竞投成功','alias' => 'bidBExperts','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'C类小区专家竞投成功','alias' => 'bidCExperts','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'D类小区专家竞投成功','alias' => 'bidDExperts','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'房源竞投-小区词竞投成功','alias' => 'bidHouseBlockWord','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'房源竞投-热搜词竞投成功','alias' => 'bidHouseMarketWord','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'房源竞投-板块词竞投成功','alias' => 'bidHouseStreetWord','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');

$fields[] = array('type'=>'1500','name'=>'兑换奖品','alias' => 'redeemPrizes','is_display'=>'0','description'=>'消耗积分','repeatable'=>'0');

$fields[] = array('type'=>'2000','name'=>'删除房源','alias' => 'delHouse','is_display'=>'1','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'2000','name'=>'冻结房源','alias' => 'frozenHouse','is_display'=>'1','description'=>'消耗积分','repeatable'=>'0');
$fields[] = array('type'=>'2000','name'=>'删除图片','alias' => 'delHousePic','is_display'=>'1','description'=>'消耗积分','repeatable'=>'0');

echo '开始初始化积分获取方式<br/>';
$growthCreditWay->emptyTable();
foreach ($fields as $value) {
    $growthCreditWay->insert($value);
}
echo '初始化完成';



?>